## python-designateclient 2.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=2.9.0,>=2.8.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:23:30 -0500

python-designateclient (2.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 10:29:58 -0500

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-osc-lib (>= 1.8.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-debtcollector (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Designate API - Python 2.7
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 2.7 module.

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-designateclient (<= 1.5.0-3~),
Replaces:
 python-designateclient (<= 1.5.0-3~),
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

Package: python3-designateclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-debtcollector (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-designateclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-designateclient; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	install -d $(CURDIR)/debian/python-designateclient/usr/lib/python2.7/dist-packages/designateclient/resources/schemas/v1/
	install -d $(CURDIR)/debian/python3-designateclient/usr/lib/python3/dist-packages/designateclient/resources/schemas/v1/
	install -D -m 0644 designateclient/resources/schemas/v1/* $(CURDIR)/debian/python-designateclient/usr/lib/python2.7/dist-packages/designateclient/resources/schemas/v1/
	install -D -m 0644 designateclient/resources/schemas/v1/* $(CURDIR)/debian/python3-designateclient/usr/lib/python3/dist-packages/designateclient/resources/schemas/v1/
	mv $(CURDIR)/debian/python-designateclient/usr/bin/designate $(CURDIR)/debian/python-designateclient/usr/bin/python2-designate
	mv $(CURDIR)/debian/python3-designateclient/usr/bin/designate $(CURDIR)/debian/python3-designateclient/usr/bin/python3-designate

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-designateclient-doc/usr/share/doc/python-designateclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
#	mv doc/build/man/designateclient.1 doc/build/man/designate.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build .testrepository

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-designateclient/ python-designateclient-(\d.*)\.tar\.gz

## python-designateclient 2.10.0

=== debian/changelog ===
python-designateclient (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:17:06 +0200

python-designateclient (2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building the doc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Aug 2018 22:54:14 +0200

python-designateclient (2.9.0-3) unstable; urgency=medium

  * Fixed python3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Mar 2018 13:16:00 +0000

python-designateclient (2.9.0-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:00:44 +0100

python-designateclient (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Watch file using github tag over HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:36:31 +0000

python-designateclient (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:28:15 +0000

python-designateclient (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 18:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,68 +1,61 @@
 Source: python-designateclient
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-cliff (>= 2.8.0),
- python-coverage (>= 4.0),
+ python-coverage,
  python-debtcollector (>= 1.2.0),
- python-hacking (>= 0.12.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
- python-mock (>= 2.0.0),
- python-openstackdocstheme (>= 1.18.1),
+ python-hacking,
+ python-jsonschema,
+ python-keystoneauth1 (>= 3.4.0),
+ python-mock,
  python-osc-lib (>= 1.8.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
+ python-oslotest (>= 3.2.0),
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1.0),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
- python-subunit (>= 1.0.0),
+ python-requests-mock (>= 1.2.0),
+ python-six,
+ python-stestr (>= 2.0.0),
+ python-stevedore (>= 1.20.0),
  python-tempest (>= 1:17.1.0),
- python-testrepository (>= 0.0.18),
  python3-cliff (>= 2.8.0),
- python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
- python3-hacking (>= 0.12.0),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
- python3-mock (>= 2.0.0),
+ python3-jsonschema,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock,
  python3-openstackdocstheme (>= 1.18.1),
  python3-osc-lib (>= 1.8.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 3.2.0),
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
- python3-subunit (>= 1.0.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six,
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1.20.0),
+ python3-subunit,
  python3-tempest (>= 1:17.1.0),
- python3-testrepository (>= 0.0.18),
  subunit,
- testrepository,
-Standards-Version: 4.1.2
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-designateclient.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-designateclient
 Homepage: https://github.com/openstack/python-designateclient
 
 Package: python-designateclient
@@ -70,14 +63,14 @@
 Depends:
  python-cliff (>= 2.8.0),
  python-debtcollector (>= 1.2.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-jsonschema,
+ python-keystoneauth1 (>= 3.4.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
+ python-six,
+ python-stevedore (>= 1.20.0),
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends},
@@ -102,10 +95,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Breaks:
- python-designateclient (<= 1.5.0-3~),
-Replaces:
- python-designateclient (<= 1.5.0-3~),
 Description: client library for the OpenStack Designate API - doc
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
@@ -126,14 +115,14 @@
 Depends:
  python3-cliff (>= 2.8.0),
  python3-debtcollector (>= 1.2.0),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-jsonschema,
+ python3-keystoneauth1 (>= 3.4.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
+ python3-six,
+ python3-stevedore (>= 1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for the OpenStack Designate API - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	install -d $(CURDIR)/debian/python-designateclient/usr/lib/python2.7/dist-packages/designateclient/resources/schemas/v1/
	install -d $(CURDIR)/debian/python3-designateclient/usr/lib/python3/dist-packages/designateclient/resources/schemas/v1/
	install -D -m 0644 designateclient/resources/schemas/v1/* $(CURDIR)/debian/python-designateclient/usr/lib/python2.7/dist-packages/designateclient/resources/schemas/v1/
	install -D -m 0644 designateclient/resources/schemas/v1/* $(CURDIR)/debian/python3-designateclient/usr/lib/python3/dist-packages/designateclient/resources/schemas/v1/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-designateclient-doc/usr/share/doc/python-designateclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
#	mv doc/build/man/designateclient.1 doc/build/man/designate.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-designateclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-designateclient 2.11.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 osc-lib>=1.8.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-designateclient (2.11.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-designateclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.
    - d/*.postinst,prerm,postrm: Drop, no longer needed as binaries not
      managed using alternatives.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 06:40:37 +0100

python-designateclient (2.11.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 12:46:14 -0500

=== debian/control ===
Source: python-designateclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-designateclient
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-designateclient (<= 1.5.0-3~),
Replaces:
 python-designateclient (<= 1.5.0-3~),
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

Package: python3-designateclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-debtcollector (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-designateclient-doc/usr/share/doc/python-designateclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build .testrepository

## python-designateclient 3.0.0

=== debian/changelog ===
python-designateclient (3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:15:36 +0200

python-designateclient (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Do not install .json files: they do not exist upstream anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:29:58 +0200

python-designateclient (2.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:53:28 +0200

python-designateclient (2.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Add missing build-depends: openstack-pkg-tools.
  * Run unit tests with installed python module in path.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 13:20:11 +0100

=== debian/control ===
Source: python-designateclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-designateclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-designateclient
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

Package: python3-designateclient
Architecture: all
Depends:
 python3-cliff,
 python3-debtcollector,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

## python-designateclient 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,9 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 osc-lib>=1.8.0 # Apache-2.0
+oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-designateclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:04:50 +0200

python-designateclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 13:35:37 +0200

python-designateclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:58:58 +0200

python-designateclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat = 11, and Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:28:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 109~),
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -35,7 +35,7 @@
  python3-subunit,
  python3-tempest,
  subunit,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0 
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-designateclient.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-designateclient
 Homepage: https://github.com/openstack/python-designateclient

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build .testrepository build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-designateclient-doc/usr/share/doc/python-designateclient-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
#	mv doc/build/man/designateclient.1 doc/build/man/designate.1
#	dh_installman -O--buildsystem=python_distutils
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-designateclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-designateclient 4.2.0

=== debian/changelog ===
python-designateclient (4.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 22:32:37 +0000

python-designateclient (4.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 12:31:13 +0000

python-designateclient (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 06:59:21 +0000

python-designateclient (4.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update Standards-Version to 4.5.0.

  [ Corey Bryant ]
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jun 2020 15:52:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,51 @@
 Source: python-designateclient
 Section: python
-Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
 Build-Depends-Indep:
- python3-cliff,
- python3-coverage,
- python3-debtcollector,
- python3-hacking,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-mock,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.config,
- python3-oslo.utils,
- python3-oslotest,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-stestr,
- python3-stevedore,
- python3-subunit,
- python3-tempest,
- subunit,
-Standards-Version: 4.5.0 
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-designateclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-designateclient
+ python3-cliff (>= 2.8.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-hacking (>= 1.1.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-testr (>= 1.0.0),
+ python3-osc-lib (>= 1.8.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
+ python3-tempest (>= 1:17.1.0),
+ python3-testrepository (>= 0.0.18),
+Standards-Version: 4.5.0
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-designateclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-designateclient
 Homepage: https://github.com/openstack/python-designateclient
 
 Package: python-designateclient-doc
@@ -46,6 +54,10 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Breaks:
+ python-designateclient (<= 1.5.0-3~),
+Replaces:
+ python-designateclient (<= 1.5.0-3~),
 Description: client library for the OpenStack Designate API - doc
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
@@ -64,16 +76,17 @@
 Package: python3-designateclient
 Architecture: all
 Depends:
- python3-cliff,
- python3-debtcollector,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-osc-lib,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-cliff (>= 2.8.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-osc-lib (>= 1.8.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for the OpenStack Designate API - Python 3.x

## python-designateclient 4.3.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,5 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (4.3.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:27 +0000

python-designateclient (4.3.0-0ubuntu1) impish; urgency=medium

  * d/watch: Update URL to OpenDev.org.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 09:23:32 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,6 @@
  debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

## python-designateclient 4.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 osc-lib>=1.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-designateclient (4.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 13:52:07 -0500

python-designateclient (4.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 10:59:04 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -20,8 +20,8 @@
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
- python3-hacking (>= 1.1.0),
- python3-jsonschema (>= 2.6.0),
+ python3-hacking,
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
@@ -31,7 +31,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.11.2),
+ python3-reno,
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
@@ -75,7 +75,7 @@
 Depends:
  python3-cliff (>= 2.8.0),
  python3-debtcollector (>= 1.2.0),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.serialization (>= 2.18.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    https://tarballs.opendev.org/openstack/python-designateclient/ python-designateclient-(\d.*)\.tar\.gz

## python-designateclient 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 sphinx>=2.0.0,!=2.1.0 # BSD
 reno>=3.1.0 # Apache-2.0
 openstackdocstheme>=2.2.1 # Apache-2.0
+sphinxcontrib-apidoc>=0.2.0 # BSD

=== debian/changelog ===
python-designateclient (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:12:00 +0200

python-designateclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:00:21 +0200

python-designateclient (4.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2022 15:57:04 +0200

python-designateclient (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:19:10 +0100

python-designateclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 09:19:39 +0100

python-designateclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:26:01 +0200

python-designateclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 14:33:08 +0200

python-designateclient (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:48:49 +0200

python-designateclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 10:02:10 +0100

=== debian/control ===
Source: python-designateclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 subunit,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-designateclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-designateclient
Homepage: https://github.com/openstack/python-designateclient

Package: python-designateclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Designate API - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the documentation.

Package: python3-designateclient
Architecture: all
Depends:
 python3-cliff,
 python3-debtcollector,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Designate API - Python 3.x
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This is a client for the OpenStack Designate API. There's a Python API
 (the "designateclient" module), and a command-line script ("designate").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Designate's API.
 .
 This package provides the Python 3.x module.

## python-designateclient 5.2.0

=== debian/changelog ===
python-designateclient (5.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047097).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 09:52:21 +0200

python-designateclient (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:05:45 +0200

python-designateclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:00:34 +0100

## python-designateclient 5.3.0

=== debian/changelog ===
python-designateclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 14:59:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf doc/build .testrepository build
+	rm -rf doc/build build .stestr doc/source/reference/api *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
